﻿;;simple problem shown at the tutorial. 
;;Excercise 1: try to make a bigger problem
;;Excercise 2: extend the domain definition with costs

(define (problem p1)
	(:domain logistics)
	(:objects
		t1 t2 - truck
		pl - plane
		p - package
		A B C - location
	)
	(:init
		(vehicle-at t1 A)
		(vehicle-at t2 B)
		(vehicle-at pl B)
		(road A B)
		(road B A)
		(corridor B C)
		(corridor C B)

		(= (total-cost) 0)

		(= (travel-cost t1) 3) 
		(= (travel-cost t2) 1) 
		(= (travel-cost pl) 10) 
		
		(= (distance A B) 10)
	    (= (distance B A) 10)
	    (= (distance C B) 100)
	    (= (distance B C) 100)
	    
	    (= (capacity t1) 3)
	    (= (capacity t2) 4)
	    (= (capacity pl) 5)
	    
		(= (packages-at A) 7)
		(= (packages-at B) 5)
		
		(= (packages-in t1) 0)
		(= (packages-in t2) 0)
		(= (packages-in pl) 0)
	)
	(:goal
		(= (packages-at C) 12)
	)
	(:metric
		minimize (total-cost)
	)
)